BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable

Represents an object that can read a sequential series of characters.

is designed for character input, whereas the is designed for byte input and the class is designed for reading from a string.

By default, a is not thread safe. For information on creating a thread-safe , see .

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Closes the current instance and releases any system resources associated with it.

  After a call to , any IO operation on the current instance might throw an exception.

  This method is equivalent to ( ).

  Use this method to close the current instance and free any resources associated with it.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  System.Void `` to release both managed and unmanaged resources; to release only unmanaged resources.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  When the parameter is , this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  can be called multiple times by other objects. When overriding (), be careful not to reference objects that have been previously disposed in an earlier call to .

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.IO.TextReader

  Provides a with no data to read from.

  Reading from the text reader is similar to reading from the end of a stream:

  () and methods return -1
  [], , and methods return zero
  and methods return .
  0
  null
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Reads the next character without changing the state of the reader or the character source.

  The next character to be read, or -1 if no more characters are available.

  The position of the in the source is not changed by this operation.

  As described above.

  The default implementation returns -1.

  An I/O error has occurred. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  Reads the next character from the character source and advances the character position by one character.

  The next character from the character source represented as a , or -1 if at the end of the stream.

  As described above.

  The default implementation returns -1.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` A array. When this method returns, contains the specified character array with the values between and ( + -1) replaced by the characters read from the current source. A that specifies the place in at which to begin writing. A that specifies the maximum number of characters to read. If the end of the stream is reached before of characters is read into , this method returns.

  Reads at most the specified number of characters from the current character source, and writes them to the provided character array.

  A containing the number of characters that were read, or zero if there were no more characters left to read. Can be less than if the end of the stream has been reached.

  is a blocking version of this method.

  The provided character array can be changed only in the specified range.

  is . ( + ) > Length.

  0

  or-

  0.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` A array. When this method returns, contains the specified character array with the values between and replaced by the characters read from the current source. A that specifies the index in at which to begin writing. A that specifies the maximum number of characters to read.

  Reads a specified number of characters from the current stream into a provided character array.

  A containing the number of characters that were read, or zero if there were no more characters left to read. Can be less than if the end of the stream has been reached.

  The method blocks until either the specified number of characters are read, or no more characters are available in the source.

  As described above.

  is . ( + - 1) > Length.

  0

  or-

  0.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0
- Method
  System.String

  Reads a line of characters from the current character source.

  A containing the next line from the input stream, or if all lines have been read. The returned string does not contain the line terminating character.

  A line is defined as a sequence of characters followed by a carriage return (0x000d), a line feed (0x000a), , or the end of stream marker.

  As described above.

  An I/O error occurred.

  There is insufficient memory to allocate a buffer for the returned string.

  The number of characters in the next line is larger than . 0 1.0.5000.0 2.0.0.0
- Method
  System.String

  Reads all characters from the current position in the character source to the end of the source.

  A string containing all characters from the current position to the end of the character source.

  As described above.

  An I/O error occurred. There is insufficient memory to allocate a buffer for the returned string. The number of characters from the current position to the end of the underlying stream is larger than . 0 1.0.5000.0 2.0.0.0
- Method
  System.IO.TextReader `` The to synchronize.

  Creates a thread-safe wrapper around the specified instance.

  A thread-safe .

  This method returns a instance that wraps around the specified instance and restricts concurrent access to it by multiple threads.

  The parameter is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0
0 System.Runtime.InteropServices.ComVisible(true)